<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>LSMDD Documentation</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>BasicDislocationPhysicsModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/physics_modules/</path>
    <filename>BasicDislocationPhysicsModule_8h</filename>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>BurgersVector.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>BurgersVector_8h</filename>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>DislocationDynamicsModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>DislocationDynamicsModule_8h</filename>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <includes id="LSMDD__PhysicsStrategy_8h" name="LSMDD_PhysicsStrategy.h" local="yes">LSMDD_PhysicsStrategy.h</includes>
    <includes id="LSMDD__Parameters_8h" name="LSMDD_Parameters.h" local="yes">LSMDD_Parameters.h</includes>
    <includes id="ElasticStressStrategy_8h" name="ElasticStressStrategy.h" local="yes">ElasticStressStrategy.h</includes>
    <namespace>geom</namespace>
    <namespace>hier</namespace>
    <namespace>LSMDD</namespace>
    <namespace>LSMLIB</namespace>
    <namespace>pdat</namespace>
    <namespace>SAMRAI</namespace>
    <namespace>std</namespace>
    <namespace>tbox</namespace>
    <namespace>xfer</namespace>
  </compound>
  <compound kind="file">
    <name>DislocationReactionModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/physics_modules/</path>
    <filename>DislocationReactionModule_8h</filename>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <includes id="LSMDD__Parameters_8h" name="LSMDD_Parameters.h" local="yes">LSMDD_Parameters.h</includes>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>ElasticStressStrategy.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>ElasticStressStrategy_8h</filename>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <includes id="LSMDD__Parameters_8h" name="LSMDD_Parameters.h" local="yes">LSMDD_Parameters.h</includes>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>InitializationModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>InitializationModule_8h</filename>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>LSMDD_Parameters.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>LSMDD__Parameters_8h</filename>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>LSMDD_PhysicsStrategy.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>LSMDD__PhysicsStrategy_8h</filename>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <includes id="LSMDD__Parameters_8h" name="LSMDD_Parameters.h" local="yes">LSMDD_Parameters.h</includes>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>LSMDD_Types.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>LSMDD__Types_8h</filename>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>LSMDD_Utilities.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>LSMDD__Utilities_8h</filename>
    <namespace>LSMDD</namespace>
    <member kind="define">
      <type>#define</type>
      <name>GET_TETRAHEDRON</name>
      <anchor>a0</anchor>
      <arglist>(x1, x2, x3, x4, phi_tet, psi_tet,tet_num, i, j, k,X, dX, phi, psi, idx_phi, idx_psi,phi_ghostbox_dims, psi_ghostbox_dims)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INTERPOLATE_FORCE</name>
      <anchor>a1</anchor>
      <arglist>(force_x_pt, force_y_pt, force_z_pt,pt,force_x, force_y, force_z,X, dX,idx_force, force_ghostbox_dims)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CHECK_IF_CELL_NEEDS_VELOCITY_UPDATE</name>
      <anchor>a2</anchor>
      <arglist>(update_cell, force_x_closest, force_y_closest, force_z_closest,tangent_x, tangent_y, tangent_z,dislocation_segment_length, min_segment_length,X, dX, endpt1, endpt2,force_x_endpt1, force_y_endpt1, force_z_endpt1,force_x_endpt2, force_y_endpt2, force_z_endpt2,distance, idx_neighbor_distance)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CHECK_FOR_PURE_SCREW_SCREW_DISLOCATION</name>
      <anchor>a3</anchor>
      <arglist>(segment_is_pure_screw,max_angle_for_pure_screw,b_x, b_y, b_z,tangent_vector_x, tangent_vector_y, tangent_vector_z)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>mainpage.dox</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>mainpage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>PeriodicDislocationArrayElasticStressModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/</path>
    <filename>PeriodicDislocationArrayElasticStressModule_8h</filename>
    <includes id="LSMDD__Types_8h" name="LSMDD_Types.h" local="yes">LSMDD_Types.h</includes>
    <includes id="BurgersVector_8h" name="BurgersVector.h" local="yes">BurgersVector.h</includes>
    <includes id="LSMDD__Parameters_8h" name="LSMDD_Parameters.h" local="yes">LSMDD_Parameters.h</includes>
    <includes id="ElasticStressStrategy_8h" name="ElasticStressStrategy.h" local="yes">ElasticStressStrategy.h</includes>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="file">
    <name>RestrictedSlipPlaneModule.h</name>
    <path>/Users/ktchu/work/projects/scientific_software/release/lsmdd/src/physics_modules/</path>
    <filename>RestrictedSlipPlaneModule_8h</filename>
    <namespace>LSMDD</namespace>
  </compound>
  <compound kind="namespace">
    <name>geom</name>
    <filename>namespacegeom.html</filename>
  </compound>
  <compound kind="namespace">
    <name>hier</name>
    <filename>namespacehier.html</filename>
  </compound>
  <compound kind="namespace">
    <name>LSMDD</name>
    <filename>namespaceLSMDD.html</filename>
    <class kind="class">LSMDD::BasicDislocationPhysicsModule</class>
    <class kind="class">LSMDD::BurgersVector</class>
    <class kind="class">LSMDD::DislocationDynamicsModule</class>
    <class kind="class">LSMDD::DislocationReactionModule</class>
    <class kind="class">LSMDD::ElasticStressStrategy</class>
    <class kind="class">LSMDD::InitializationModule</class>
    <class kind="class">LSMDD::LSMDD_Parameters</class>
    <class kind="class">LSMDD::LSMDD_PhysicsStrategy</class>
    <class kind="class">LSMDD::LSMDD_Utilities</class>
    <class kind="class">LSMDD::PeriodicDislocationArrayElasticStressModule</class>
    <class kind="class">LSMDD::RestrictedSlipPlaneModule</class>
    <member kind="enumeration">
      <name>STRESS_COMPONENT_TYPE</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_11</name>
      <anchor>a6a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_22</name>
      <anchor>a6a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_33</name>
      <anchor>a6a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_23</name>
      <anchor>a6a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_31</name>
      <anchor>a6a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGMA_12</name>
      <anchor>a6a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::BasicDislocationPhysicsModule</name>
    <filename>classLSMDD_1_1BasicDislocationPhysicsModule.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>computePKForce</name>
      <anchor>e0</anchor>
      <arglist>(double &amp;force_x, double &amp;force_y, double &amp;force_z, double b_x, double b_y, double b_z, double tangent_vector_x, double tangent_vector_y, double tangent_vector_z, double sigma11, double sigma22, double sigma33, double sigma23, double sigma31, double sigma12, const  double *X, bool verbose_mode=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>computeVelocityUsingBasicFormula</name>
      <anchor>e1</anchor>
      <arglist>(double &amp;velocity_x, double &amp;velocity_y, double &amp;velocity_z, double force_x, double force_y, double force_z, double b_x, double b_y, double b_z, double tangent_vector_x, double tangent_vector_y, double tangent_vector_z, double glide_mobility, double climb_mobility, double max_angle_for_pure_screw, const  double *X, bool verbose_mode=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::BurgersVector</name>
    <filename>classLSMDD_1_1BurgersVector.html</filename>
    <member kind="function">
      <type></type>
      <name>BurgersVector</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BurgersVector</name>
      <anchor>a1</anchor>
      <arglist>(const  BurgersVector &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BurgersVector</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const  BurgersVector &amp;</type>
      <name>operator=</name>
      <anchor>a3</anchor>
      <arglist>(const  BurgersVector &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double &amp;</type>
      <name>operator[]</name>
      <anchor>a4</anchor>
      <arglist>(const  int i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const  double &amp;</type>
      <name>operator[]</name>
      <anchor>a5</anchor>
      <arglist>(const  int i) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const  double *</type>
      <name>getPointer</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_burgers_vector</name>
      <anchor>p0</anchor>
      <arglist>[3]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::DislocationDynamicsModule</name>
    <filename>classLSMDD_1_1DislocationDynamicsModule.html</filename>
    <member kind="enumeration">
      <name>VISUALIZATION_FILE_FORMAT</name>
      <anchor>z1_0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ASCII</name>
      <anchor>z1_0w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BINARY</name>
      <anchor>z1_0w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DislocationDynamicsModule</name>
      <anchor>z3_0</anchor>
      <arglist>(Pointer&lt; Database &gt; input_db, Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt; patch_hierarchy, ElasticStressStrategy *elastic_stress_strategy, LSMDD_PhysicsStrategy *lsmdd_physics_strategy)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DislocationDynamicsModule</name>
      <anchor>z3_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getPhiPatchDataHandle</name>
      <anchor>z5_0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getPsiPatchDataHandle</name>
      <anchor>z5_1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getVelocityPatchDataHandle</name>
      <anchor>z5_2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getControlVolumePatchDataHandle</name>
      <anchor>z5_3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getStartTime</name>
      <anchor>z7_0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getEndTime</name>
      <anchor>z7_1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getCurrentTime</name>
      <anchor>z7_2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>endTimeReached</name>
      <anchor>z7_3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>numSimulationStepsTaken</name>
      <anchor>z7_4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printClassData</name>
      <anchor>z7_5</anchor>
      <arglist>(ostream &amp;os) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeDislocationLevelSetFunctions</name>
      <anchor>z9_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>computeNextDt</name>
      <anchor>z9_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>advanceDislocations</name>
      <anchor>z9_2</anchor>
      <arglist>(const  double dt)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>toggleUpwindDirection</name>
      <anchor>z9_3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeAllDislocationLinesToFile</name>
      <anchor>z11_0</anchor>
      <arglist>(const  string &amp;base_name, const  VISUALIZATION_FILE_FORMAT file_type=ASCII)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeOneDislocationLineToFile</name>
      <anchor>z11_1</anchor>
      <arglist>(const  int line_handle, const  string &amp;base_name, const  VISUALIZATION_FILE_FORMAT file_type=ASCII, const  bool overwrite_file=true, const  bool allocate_scratch_data=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeLevelSetFunctionsOnPatch</name>
      <anchor>z13_0</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  double time, const  int phi_handle, const  int psi_handle)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setLevelSetFunctionBoundaryConditions</name>
      <anchor>z13_1</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  double fill_time, const  int phi_handle, const  int psi_handle, const  IntVector&lt; 3 &gt; &amp;ghost_width_to_fill)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>computeStableDtOnPatch</name>
      <anchor>z13_2</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, LevelSetFunctionIntegrator&lt; 3 &gt; *lsm_integrator, LevelSetMethodVelocityFieldStrategy&lt; 3 &gt; *lsm_velocity_field_strategy)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>providesExternalVelocityField</name>
      <anchor>z13_3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>providesNormalVelocityField</name>
      <anchor>z13_4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getExternalVelocityFieldPatchDataHandle</name>
      <anchor>z13_5</anchor>
      <arglist>(int component) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getNormalVelocityFieldPatchDataHandle</name>
      <anchor>z13_6</anchor>
      <arglist>(LEVEL_SET_FCN_TYPE level_set_fcn, int component) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentTime</name>
      <anchor>z13_7</anchor>
      <arglist>(const  double time)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>computeStableDt</name>
      <anchor>z13_8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>computeVelocityField</name>
      <anchor>z13_9</anchor>
      <arglist>(const  double time, const  int phi_handle, const  int psi_handle, const  int line_handle)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeLevelData</name>
      <anchor>z13_10</anchor>
      <arglist>(const  Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt; hierarchy, const  int level_number, const  double init_data_time, const  int phi_handle, const  int psi_handle, const  bool can_be_refined, const  bool initial_time, const  Pointer&lt; PatchLevel&lt; 3 &gt; &gt; old_level=Pointer&lt; PatchLevel&lt; 3 &gt; &gt;((0)), const  bool allocate_data=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetHierarchyConfiguration</name>
      <anchor>z13_11</anchor>
      <arglist>(Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt; hierarchy, const  int coarsest_level, const  int finest_level)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>getFromInput</name>
      <anchor>z15_0</anchor>
      <arglist>(Pointer&lt; Database &gt; input_db)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>computeDislocationLineField</name>
      <anchor>z15_1</anchor>
      <arglist>(const  int line_handle, const  int phi_handle, const  int psi_handle)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>computeUnitTangentVectorForDislocationLine</name>
      <anchor>z15_2</anchor>
      <arglist>(const  int tangent_vector_handle, const  int line_handle, const  int phi_handle, const  int psi_handle)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeVariables</name>
      <anchor>z15_3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeCommunicationObjects</name>
      <anchor>z15_4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>fillGhostCellsForLevelSetFunctions</name>
      <anchor>z15_5</anchor>
      <arglist>(const  int line_handle, const  int phi_handle, const  int psi_handle)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>writeOneDislocationLineToAsciiFile</name>
      <anchor>z15_6</anchor>
      <arglist>(const  string &amp;base_name, const  int line_handle, const  bool overwrite_file=true)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>writeOneDislocationLineToBinaryFile</name>
      <anchor>z15_7</anchor>
      <arglist>(const  string &amp;base_name, const  int line_handle, const  bool overwrite_file=true)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_start_time</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_end_time</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SPATIAL_DERIVATIVE_TYPE</type>
      <name>d_spatial_derivative_type</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_spatial_derivative_order</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_num_stabilization_iterations</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_reinitialization_interval</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_use_reinitialization</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_orthogonalization_interval</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_use_orthogonalization</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_use_persistent_velocity_data</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>LSMDD_Parameters</type>
      <name>d_lsmdd_params</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt;</type>
      <name>d_patch_hierarchy</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; CartesianGridGeometry&lt; 3 &gt; &gt;</type>
      <name>d_grid_geometry</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; BurgersVector &gt;</type>
      <name>d_burgers_vectors</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_num_dislocation_lines</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; LevelSetMethodAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_lsm_algorithm</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; FieldExtensionAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_lsm_phi_field_extension_alg</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; FieldExtensionAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_lsm_psi_field_extension_alg</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ElasticStressStrategy *</type>
      <name>d_elastic_stress_strategy</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>LSMDD_PhysicsStrategy *</type>
      <name>d_lsmdd_physics_strategy</name>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; BoundaryConditionModule&lt; 3 &gt; &gt;</type>
      <name>d_level_set_fcn_bc_module</name>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; IntVector&lt; 3 &gt; &gt;</type>
      <name>d_lower_bc_phi</name>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; IntVector&lt; 3 &gt; &gt;</type>
      <name>d_upper_bc_phi</name>
      <anchor>p22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; IntVector&lt; 3 &gt; &gt;</type>
      <name>d_lower_bc_psi</name>
      <anchor>p23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; IntVector&lt; 3 &gt; &gt;</type>
      <name>d_upper_bc_psi</name>
      <anchor>p24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>IntVector&lt; 3 &gt;</type>
      <name>d_lower_bc_velocity</name>
      <anchor>p25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>IntVector&lt; 3 &gt;</type>
      <name>d_upper_bc_velocity</name>
      <anchor>p26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>IntVector&lt; 3 &gt;</type>
      <name>d_level_set_fcn_scratch_ghostcell_width</name>
      <anchor>p27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_phi_scratch_handle</name>
      <anchor>p28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_psi_scratch_handle</name>
      <anchor>p29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_phi_plus_handle</name>
      <anchor>p30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_phi_minus_handle</name>
      <anchor>p31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_phi_central_handle</name>
      <anchor>p32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_psi_plus_handle</name>
      <anchor>p33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_psi_minus_handle</name>
      <anchor>p34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_grad_psi_central_handle</name>
      <anchor>p35</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_dislocation_line_field_handle</name>
      <anchor>p36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_velocity_handle</name>
      <anchor>p37</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_aux_stress_field_handle</name>
      <anchor>p38</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_force_handle</name>
      <anchor>p39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>vector&lt; int &gt;</type>
      <name>d_tangent_vector_handles</name>
      <anchor>p40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_distance_handle</name>
      <anchor>p41</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ComponentSelector</type>
      <name>d_tangent_vectors</name>
      <anchor>p42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; RefineAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_level_set_fcn_fill_bdry_alg</name>
      <anchor>p43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; Pointer&lt; RefineSchedule&lt; 3 &gt; &gt; &gt;</type>
      <name>d_level_set_fcn_fill_bdry_sched</name>
      <anchor>p44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; RefineAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_force_interp_fill_bdry_alg</name>
      <anchor>p45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; Pointer&lt; RefineSchedule&lt; 3 &gt; &gt; &gt;</type>
      <name>d_force_interp_fill_bdry_sched</name>
      <anchor>p46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; RefineAlgorithm&lt; 3 &gt; &gt;</type>
      <name>d_tangent_fill_bdry_alg</name>
      <anchor>p47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Array&lt; Pointer&lt; RefineSchedule&lt; 3 &gt; &gt; &gt;</type>
      <name>d_tangent_fill_bdry_sched</name>
      <anchor>p48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_current_time</name>
      <anchor>p49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_last_stress_update_time</name>
      <anchor>p50</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_num_simulation_steps_taken</name>
      <anchor>p51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_upwind_spatial_derivative_flag</name>
      <anchor>p52</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_hierarchy_configuration_needs_reset</name>
      <anchor>p53</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_velocity_data_allocated</name>
      <anchor>p54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>const  int</type>
      <name>s_lsmdd_version</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>const  int</type>
      <name>s_lsmdd_binary_output_max_num_dislocations</name>
      <anchor>t1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::DislocationReactionModule</name>
    <filename>classLSMDD_1_1DislocationReactionModule.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setupReactionData</name>
      <anchor>e0</anchor>
      <arglist>(int &amp;rxn_status_handle, int &amp;rxn_line_number_handle)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>allocateReactionData</name>
      <anchor>e1</anchor>
      <arglist>(PatchHierarchy&lt; 3 &gt; &amp;hierarchy, int &amp;rxn_status_handle, int &amp;rxn_line_number_handle)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>deallocateReactionData</name>
      <anchor>e2</anchor>
      <arglist>(PatchHierarchy&lt; 3 &gt; &amp;hierarchy, int &amp;rxn_status_handle, int &amp;rxn_line_number_handle)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>computeForceOnDislocationLineWithReactions</name>
      <anchor>e3</anchor>
      <arglist>(double &amp;force_x, double &amp;force_y, double &amp;force_z, int &amp;rxn_line_num, double **phi_data, double **psi_data, double *tangent_vectors_x, double *tangent_vectors_y, double *tangent_vectors_z, Array&lt; BurgersVector &gt; &amp;burgers_vectors, double sigma11, double sigma22, double sigma33, double sigma23, double sigma31, double sigma12, int *level_set_fcn_box_dims, int *level_set_fcn_ghostcell_width, int idx_x, int idx_y, int idx_z, const  double *X, const  double *dX, const  int line_handle, const  LSMDD_Parameters &amp;lsmdd_params, double interaction_force_strength)</arglist>
    </member>
    <member kind="function" protection="public" static="yes">
      <type>int</type>
      <name>checkForReaction</name>
      <anchor>f0</anchor>
      <arglist>(int &amp;rxn_line_num, double &amp;relative_position_x, double &amp;relative_position_y, double &amp;relative_position_z, double **phi_data, double **psi_data, double *tangent_vectors_x, double *tangent_vectors_y, double *tangent_vectors_z, Array&lt; BurgersVector &gt; &amp;burgers_vectors, int *level_set_fcn_box_dims, int *level_set_fcn_ghostcell_width, int idx_x, int idx_y, int idx_z, const  double *X, const  double *dX, const  int line_handle, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::ElasticStressStrategy</name>
    <filename>classLSMDD_1_1ElasticStressStrategy.html</filename>
    <member kind="function">
      <type></type>
      <name>ElasticStressStrategy</name>
      <anchor>z17_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ElasticStressStrategy</name>
      <anchor>z17_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>getStressFieldHandle</name>
      <anchor>z19_0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStressFieldToZero</name>
      <anchor>z21_0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addStressFieldForDislocationLine</name>
      <anchor>z21_1</anchor>
      <arglist>(const  int dislocation_line_field_handle, const  BurgersVector &amp;burgers_vector, const  LSMDD_Parameters &amp;lsmdd_params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addAuxiliaryStressField</name>
      <anchor>z21_2</anchor>
      <arglist>(const  int auxiliary_stress_field_handle, const  LSMDD_Parameters &amp;lsmdd_params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addAuxiliaryStressFieldComponent</name>
      <anchor>z21_3</anchor>
      <arglist>(const  int auxiliary_stress_field_handle, const  LSMDD_Parameters &amp;lsmdd_params, const  int component)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>printClassData</name>
      <anchor>z23_0</anchor>
      <arglist>(ostream &amp;os) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::InitializationModule</name>
    <filename>classLSMDD_1_1InitializationModule.html</filename>
    <member kind="function" static="yes">
      <type>void</type>
      <name>initializeCircularDislocationLoopOnPatch</name>
      <anchor>e0</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, Pointer&lt; CartesianGridGeometry&lt; 3 &gt; &gt; geometry, int phi_handle, int psi_handle, int line_num, double *normal, double *center, double radius)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>initializeStraightDislocationLineOnPatch</name>
      <anchor>e1</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, Pointer&lt; CartesianGridGeometry&lt; 3 &gt; &gt; geometry, int phi_handle, int psi_handle, int line_num, double *xi, double *pt)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>initializeDislocationArrayOnPatch</name>
      <anchor>e2</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, Pointer&lt; CartesianGridGeometry&lt; 3 &gt; &gt; geometry, int phi_handle, int psi_handle, int line_num, double *xi, double *pt1, double *pt2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::LSMDD_Parameters</name>
    <filename>classLSMDD_1_1LSMDD__Parameters.html</filename>
    <member kind="function">
      <type></type>
      <name>LSMDD_Parameters</name>
      <anchor>z25_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LSMDD_Parameters</name>
      <anchor>z25_1</anchor>
      <arglist>(Pointer&lt; Database &gt; input_db)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LSMDD_Parameters</name>
      <anchor>z25_2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LSMDD_Parameters</name>
      <anchor>z25_3</anchor>
      <arglist>(const  LSMDD_Parameters &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeParametersFromDatabase</name>
      <anchor>z27_0</anchor>
      <arglist>(Pointer&lt; Database &gt;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setShearModulus</name>
      <anchor>z29_0</anchor>
      <arglist>(double shear_modulus)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getShearModulus</name>
      <anchor>z29_1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPoissonRatio</name>
      <anchor>z29_2</anchor>
      <arglist>(double poisson_ratio)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getPoissonRatio</name>
      <anchor>z29_3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setGlideMobility</name>
      <anchor>z31_0</anchor>
      <arglist>(double glide_mobility)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getGlideMobility</name>
      <anchor>z31_1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setClimbMobility</name>
      <anchor>z31_2</anchor>
      <arglist>(double climb_mobility)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getClimbMobility</name>
      <anchor>z31_3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCoreRadius</name>
      <anchor>z31_4</anchor>
      <arglist>(double core_radius)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getCoreRadius</name>
      <anchor>z31_5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>activateDebugMode</name>
      <anchor>z33_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deactivateDebugMode</name>
      <anchor>z33_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>debugOn</name>
      <anchor>z33_2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMinDislocationSegmentLength</name>
      <anchor>z33_3</anchor>
      <arglist>(double min_dislocation_segment_length)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getMinDislocationSegmentLength</name>
      <anchor>z33_4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMaxAngleForPureScrew</name>
      <anchor>z33_5</anchor>
      <arglist>(double max_angle_for_pure_screw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>getMaxAngleForPureScrew</name>
      <anchor>z33_6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printClassData</name>
      <anchor>z35_0</anchor>
      <arglist>(ostream &amp;os) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const  LSMDD_Parameters &amp;</type>
      <name>operator=</name>
      <anchor>z37_0</anchor>
      <arglist>(const  LSMDD_Parameters &amp;rhs)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_shear_modulus</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_poisson_ratio</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_glide_mobility</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_climb_mobility</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_core_radius</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_min_dislocation_segment_length</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_max_angle_for_pure_screw</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_lsmdd_debug_on</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::LSMDD_PhysicsStrategy</name>
    <filename>classLSMDD_1_1LSMDD__PhysicsStrategy.html</filename>
    <member kind="function">
      <type></type>
      <name>LSMDD_PhysicsStrategy</name>
      <anchor>z39_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LSMDD_PhysicsStrategy</name>
      <anchor>z39_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>numberOfDislocationLines</name>
      <anchor>z41_0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const  BurgersVector &amp;</type>
      <name>getBurgersVector</name>
      <anchor>z41_1</anchor>
      <arglist>(const  int dislocation_line_handle) const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>getBoundaryConditions</name>
      <anchor>z41_2</anchor>
      <arglist>(IntVector&lt; 3 &gt; &amp;lower_bc, IntVector&lt; 3 &gt; &amp;upper_bc, const  int dislocation_line_handle, const  LEVEL_SET_FCN_TYPE level_set_fcn) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>initializeLevelSetFunctionsOnPatch</name>
      <anchor>z43_0</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  double time, const  int phi_handle, const  int psi_handle)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setLevelSetFunctionBoundaryConditions</name>
      <anchor>z43_1</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  double time, const  int phi_handle, const  int psi_handle, const  IntVector&lt; 3 &gt; &amp;ghost_width_to_fill)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>computeForceOnDislocationLineOnPatch</name>
      <anchor>z45_0</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  int force_handle, const  int stress_field_handle, const  vector&lt; int &gt; &amp;tangent_vector_handles, const  int phi_handle, const  int psi_handle, const  int line_handle, const  double time, const  LSMDD_Parameters &amp;lsmdd_params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>computeVelocityForDislocationLineOnPatch</name>
      <anchor>z45_1</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  int velocity_handle, const  int force_handle, const  vector&lt; int &gt; &amp;tangent_vector_handles, const  int distance_handle, const  int phi_handle, const  int psi_handle, const  int line_handle, const  double time, const  LSMDD_Parameters &amp;lsmdd_params)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>providesAuxiliaryStressField</name>
      <anchor>z47_0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>computeAuxiliaryStressFieldOnPatch</name>
      <anchor>z47_1</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch, const  int auxiliary_stress_field_handle, const  int dislocation_stress_field_handle, const  double time, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual double</type>
      <name>computeStableDtOnPatch</name>
      <anchor>z49_0</anchor>
      <arglist>(Patch&lt; 3 &gt; &amp;patch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>preprocessAdvanceDislocations</name>
      <anchor>z51_0</anchor>
      <arglist>(PatchHierarchy&lt; 3 &gt; &amp;hierarchy, const  int phi_handle, const  int psi_handle, const  LSMDD_Parameters &amp;lsmdd_params, const  double time)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>postprocessAdvanceDislocations</name>
      <anchor>z51_1</anchor>
      <arglist>(PatchHierarchy&lt; 3 &gt; &amp;hierarchy, const  int phi_handle, const  int psi_handle, const  LSMDD_Parameters &amp;lsmdd_params, const  double time)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::LSMDD_Utilities</name>
    <filename>classLSMDD_1_1LSMDD__Utilities.html</filename>
  </compound>
  <compound kind="class">
    <name>LSMDD::PeriodicDislocationArrayElasticStressModule</name>
    <filename>classLSMDD_1_1PeriodicDislocationArrayElasticStressModule.html</filename>
    <base>LSMDD::ElasticStressStrategy</base>
    <member kind="function">
      <type></type>
      <name>PeriodicDislocationArrayElasticStressModule</name>
      <anchor>z55_0</anchor>
      <arglist>(Pointer&lt; Database &gt; input_db, Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt; patch_hierarchy)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PeriodicDislocationArrayElasticStressModule</name>
      <anchor>z55_1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>getStressFieldHandle</name>
      <anchor>z57_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setStressFieldToZero</name>
      <anchor>z59_0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addStressFieldForDislocationLine</name>
      <anchor>z59_1</anchor>
      <arglist>(const  int dislocation_line_handle, const  BurgersVector &amp;burgers_vector, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addAuxiliaryStressField</name>
      <anchor>z59_2</anchor>
      <arglist>(const  int auxiliary_stress_field_handle, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addAuxiliaryStressFieldComponent</name>
      <anchor>z59_3</anchor>
      <arglist>(const  int auxiliary_stress_field_handle, const  LSMDD_Parameters &amp;lsmdd_params, const  int component)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printClassData</name>
      <anchor>z61_0</anchor>
      <arglist>(ostream &amp;os) const </arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>getFromInput</name>
      <anchor>z63_0</anchor>
      <arglist>(Pointer&lt; Database &gt; input_db)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>computeStressOnPatchTimeEfficient</name>
      <anchor>z63_1</anchor>
      <arglist>(Pointer&lt; Patch&lt; 3 &gt; &gt; patch, const  int dislocation_line_handle, const  BurgersVector &amp;burgers_vector, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>computeStressOnPatchMemoryEfficient</name>
      <anchor>z63_2</anchor>
      <arglist>(Pointer&lt; Patch&lt; 3 &gt; &gt; patch, LSMDD::STRESS_COMPONENT_TYPE stress_field_component, FFT_DATA *stress_field_fft_data, const  int dislocation_line_handle, const  BurgersVector &amp;burgers_vector, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>allocateFFTData</name>
      <anchor>z63_3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>deallocateFFTData</name>
      <anchor>z63_4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>addStressFieldToSAMRAIPatchData</name>
      <anchor>z63_5</anchor>
      <arglist>(Pointer&lt; Patch&lt; 3 &gt; &gt; patch, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>addStressFieldComponentToSAMRAIPatchData</name>
      <anchor>z63_6</anchor>
      <arglist>(Pointer&lt; Patch&lt; 3 &gt; &gt; patch, FFT_DATA *stress_field_fft_data, const  LSMDD::STRESS_COMPONENT_TYPE stress_component, const  LSMDD_Parameters &amp;lsmdd_params)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>initializeElasticStressModule</name>
      <anchor>z63_7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Pointer&lt; PatchHierarchy&lt; 3 &gt; &gt;</type>
      <name>d_patch_hierarchy</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_conserve_memory</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_use_dynamic_memory_allocation</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>d_stress_field_handle</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Box&lt; 3 &gt;</type>
      <name>d_global_box</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Box&lt; 3 &gt;</type>
      <name>d_local_box</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>FFT_DATA *</type>
      <name>d_dislocation_line_fft_data</name>
      <anchor>p6</anchor>
      <arglist>[3]</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>FFT_DATA *</type>
      <name>d_stress_field_fft_data</name>
      <anchor>p7</anchor>
      <arglist>[6]</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_fft_data_allocated</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>fft_plan_3d *</type>
      <name>d_fft_plan</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>double</type>
      <name>d_fft_scale_factor</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>d_initialization_complete</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LSMDD::RestrictedSlipPlaneModule</name>
    <filename>classLSMDD_1_1RestrictedSlipPlaneModule.html</filename>
    <member kind="function" static="yes">
      <type>int</type>
      <name>findSlipPlaneForDislocationSegment</name>
      <anchor>e0</anchor>
      <arglist>(double &amp;tangent_dot_slip_plane_normal, double b_x, double b_y, double b_z, double tangent_vector_x, double tangent_vector_y, double tangent_vector_z, double **slip_planes, int num_slip_planes, double burgers_vector_in_plane_tol)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>computeVelocityWithSlipPlaneRestrictions</name>
      <anchor>e1</anchor>
      <arglist>(double &amp;velocity_x, double &amp;velocity_y, double &amp;velocity_z, double force_x, double force_y, double force_z, double b_x, double b_y, double b_z, double tangent_vector_x, double tangent_vector_y, double tangent_vector_z, double *tangent_vector_data_x, double *tangent_vector_data_y, double *tangent_vector_data_z, const  IntVector&lt; 3 &gt; &amp;tangent_vector_ghostbox_dims, int tangent_idx_i, int tangent_idx_j, int tangent_idx_k, double **slip_planes, int num_slip_planes, double glide_mobility, double climb_mobility, double max_angle_for_pure_screw, double out_of_slip_plane_tol, double correction_speed, const  double *X, const  double *dX, bool verbose_mode=false)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>LSMLIB</name>
    <filename>namespaceLSMLIB.html</filename>
  </compound>
  <compound kind="namespace">
    <name>pdat</name>
    <filename>namespacepdat.html</filename>
  </compound>
  <compound kind="namespace">
    <name>SAMRAI</name>
    <filename>namespaceSAMRAI.html</filename>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
  <compound kind="namespace">
    <name>tbox</name>
    <filename>namespacetbox.html</filename>
  </compound>
  <compound kind="namespace">
    <name>xfer</name>
    <filename>namespacexfer.html</filename>
  </compound>
</tagfile>
